reveal_all:
  label: Reveal all
  namespace: Organisms/TM - Reveal all
  use: '@organisms/tm-reveal-all/reveal-all.twig'
  description: Reveal all "collapsible"
  libraries:
    - reveal_all_lib:
        js:
          ../behaviors/reveal-all.js: {}
        css:
          component:
            ../styles/reveal-all.css: {weight: 10}

  fields:
    initial_content:
      type: text
      label: Initial content
      preview:
        faker: lorem.paragraphs
    hidden_content:
      type: text
      label: Hidden content
      preview:
        faker: lorem.paragraphs

  settings:
    show_text:
      type: text
      label: Show text
      default: Show all
      preview: Show all
    hide_text:
      type: text
      label: Hide text
      default: Hide extra
      preview: Hide extra
    bottom_fade:
      type: select
      label: Bottom fade
      options:
        none: None
        white: White
        dark: Branding background dark
        light: Branding background light
      default: none
      preview: none
